ConnError: Connection failed
BadServerReply: Bad server reply
ModelNotUpdatable: Model not updatable
RowNotExists: The record does not exist or has been deleted
ColNotExists: The column does not exist
